Bug 245210 - "ifup eth1" generates abort messages re eth0, an disconnected device
"ifup eth1" generates abort messages re eth0, an disconnected device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 13:50 EDT by Peter Trenholme
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Trenholme 2007-06-21 13:50:01 EDT
Description of problem: When the NetworkManager is started as a boot service, I
believe it runs the "ifup" script for all system devices, even if the device is
not plugged in. There is, in fact, a bug in the "ifup" script (or some program
invoked by that script) that causes an "ifup eth1" to attempt to access eth0
even when the cable to that device is unplugged.

Since the script waits for the attempted access to the disconnected device to
time-out before doing the requested "ifup eth1" there is a delay of a couple of
minutes at the end of the boot process, with the screen blanked. 


Version-Release number of selected component (if applicable):


How reproducible:
Every boot

Steps to Reproduce:
1.Run "/sbin/ifup eth1" with eth0 unplugged
2.
3.
  
Actual results:
[root ~]# ifdown eth1
External network device eth0 is not ready. Aborting..
[root ~]# ifup eth1

Determining IP information for eth1...External network device eth0 is not ready.
Aborting..
External network device eth0 is not ready. Aborting..
 done.
[root ~]#


Expected results:
[root ~]# ifdown eth1
[root ~]# ifup eth1
 done.
[root ~]#


Additional info: The system on which I'm running is a laptop with "eth0" a
built-in cabled ethernet connection, and eth1 a wireless device.
Comment 1 Dan Williams 2008-02-11 22:32:29 EST
Hmm; NM doesn't run ifup/ifdown at all but handles the device configuration
directly.  You may be thinking about the 'network' system service, which is
something different.
Comment 2 Peter Trenholme 2008-02-12 13:03:22 EST
No. The problem is visible when ifup is run, but ifup does invoke other programs
which, I suspect, may also be invoked by NM.

The point is not which top-level program is causing the hang on boot, but which
network start-up script (or program) used by the top-level program (or some
child of the top-level program) is ignoring the device argument and accessing
all possible devices.

I posted this bug to NM because NM (when started as a service) caused the boot
process to appear to hang, and mentioned ifup because that script showed the
same symptom and I thought that starting form there would be simpler than
tracing the problem from the service start up.

Note: The problem may have been resolved in F8 since I can't recall seeing it
since I moved to F8 from FC7.
Comment 3 Bug Zapper 2008-05-14 09:14:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:40:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.